JDK Versions Cannot be Used in JDeveloper or OJDeploy (Doc ID 2186717.1)

Last updated on DECEMBER 23, 2016

Applies to:

Oracle JDeveloper - Version 11.1.1.9.0 and later
Oracle Solaris on SPARC (64-bit)

Symptoms

While using JDeveloper in Solaris, some faulty behavior is seen in at least these functionalities:
1) Compilation using ojdeploy fails with an unrecognized target:

2) Adding some specific JDK versions in JDeveloper also fails and the JDK is shown in red font

The JDK versions presenting the problem are JDK 1.7.0_95 and later

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms